function createHands(renderer, icon, mirror) {
    if (typeof icon === "string") {
        icon = renderer.createResource("ICON", icon);
    }

    var main = renderer.createEffect("fiskheroes:booster").setIcon(icon);
    main.setOffset(1.0, 8.0, -4.15).setRotation(90.0, -5.0, 180.0).setSize(1.5, 5.5);
    main.anchor.set("rightArm");

    var main2 = renderer.createEffect("fiskheroes:booster").setIcon(icon);
    main2.setOffset(1.0, 9.5, -4.15).setRotation(90.0, -5.0, 180.0).setSize(1.5, 5.5);
    main2.anchor.set("rightArm");

    var main3 = renderer.createEffect("fiskheroes:booster").setIcon(icon);
    main3.setOffset(1.0, 11.0, -4.15).setRotation(90.0, -5.0, 180.0).setSize(1.5, 5.5);
    main3.anchor.set("rightArm");

    main.opacity = main2.opacity = main3.opacity = 0.1;
    main.flutter = main2.flutter = main3.flutter = 0.5;
    main.speedScale = main2.speedScale = main3.speedScale = 0;
    main.mirror = main2.mirror = main3.mirror = mirror;

    return {
        main: main,
        main2: main2,
        main3: main3,
        render: (entity) => {
            main.progress = main2.progress = main3.progress = entity.getInterpolatedData("gowhp:dyn/bladesofchaos_timer") * 1.0;
            main.render();
            main2.render();
            main3.render();
        }
    };
}
